Skip to main content
GET
/
competitions
/
top
Top Tournaments
curl --request GET \
  --url https://v1.tennis.sportsapipro.com/competitions/top \
  --header 'x-api-key: <api-key>'

Overview

Returns the most popular tennis tournaments, sorted by popularity and current activity level.

Code Examples

curl -X GET "https://v1.tennis.sportsapipro.com/competitions/top" \
  -H "x-api-key: YOUR_API_KEY"

Response Structure

competitions
array
Array of top tennis competitions ordered by popularity
Use this endpoint to discover current active tournament IDs for use in other API calls.

Authorizations

x-api-key
string
header
required

Your SportsAPI Pro API key

Query Parameters

limit
integer
default:10

Number of tournaments to return

Example:

10

Response

200

Top tournaments retrieved successfully